Page MenuHomePhabricator

WikibaseLexeme ApiUserBlockedTest is broken
Closed, ResolvedPublic

Description

ApiUserBlockedTest expects error messages like 'blockedtext', 'no-permission' to be produced on block. However, in ApiBase, addBlockInfoToStatus() replaces blockedtext with apierror-blocked. Thus the test is broken. This seems to be added in commit ace0338421b6f100d4fde475206d165bd0b3afeb.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 20 2019, 10:37 PM
Smalyshev triaged this task as High priority.Feb 20 2019, 10:37 PM

Change 491865 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Fix ApiUserBlockedTest test

https://gerrit.wikimedia.org/r/491865

I thought Lexeme was now in gate? How did the core change land?

Change 491865 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Fix ApiUserBlockedTest test

https://gerrit.wikimedia.org/r/491865

Jdforrester-WMF signed these changes with MFA.Feb 21 2019, 10:49 AM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF assigned this task to Smalyshev.

This is now fixed, I believe.

I thought Lexeme was now in gate? How did the core change land?

I have no idea... Something seems to be wrong there. There was also a case recently where Lexeme had wrong class name and it wasn't detected. I think some CI config steps are missing for this extensions still, but not sure which.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM